Bug#877813: reprotest: regression between 0.7.1 and 0.7.2
gregor herrmann
gregoa at debian.org
Thu Oct 5 21:53:18 UTC 2017
Package: reprotest
Version: 0.7.2
Severity: important
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
reprotest 0.7 and 0.7.1 work fine for me, 0.7.2 explodes horribly:
#v+
preset auto-selected: ReprotestPreset(build_command='\n if [ "$(id -u)" = 0 ]; then\n sudo -E -u "$LOGNAME" sh -ec \'dpkg-buildpackage --no-sign -b\';\n else\n sh -ec \'dpkg-buildpackage --no-sign -b\';\n fi\n ', artifact_pattern='../*.deb', testbed_pre=None, testbed_init='apt-get -y --no-install-recommends install disorderfs faketime locales-all sudo util-linux; test -c /dev/fuse || mknod -m 666 /dev/fuse c 10 229; test -f /etc/mtab || ln -s ../proc/self/mounts /etc/mtab', testbed_build_pre='apt-get -y --no-install-recommends build-dep ./"."', source_pattern=None, diffoscope_args=[])
STARTING VIRTUAL SERVER ['/usr/lib/python3/dist-packages/reprotest/virt/autopkgtest-virt-schroot', 'default']
reprotest [23:26:51]: version @version@
reprotest [23:26:51]: host jadzia; command line: /usr/bin/reprotest --variations=+all,-build_path,-user_group --verbosity 1 . -- schroot default
reprotest [23:26:52]: testbed package architecture: amd64
reprotest [23:26:52]: testbed running kernel: Linux 4.12.0-2-amd64 #1 SMP Debian 4.12.13-1 (2017-09-19)
Reading package lists...
Building dependency tree...
[..]
executing: if ( mv /tmp/autopkgtest.03NT2s/build-control/ /tmp/autopkgtest.03NT2s/const_build_path && umask 0022 && export REPROTEST_BUILD_PATH=/tmp/autopkgtest.03NT2s/const_build_path/ && export REPROTEST_UMASK=$(umask) && linux64 --uname-2.6 sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH; umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK;
if [ "$(id -u)" = 0 ]; then
sudo -E -u "$LOGNAME" sh -ec '"'"'dpkg-buildpackage --no-sign -b'"'"';
else
sh -ec '"'"'dpkg-buildpackage --no-sign -b'"'"';
fi
' ); then
( __c=0; mv /tmp/autopkgtest.03NT2s/const_build_path /tmp/autopkgtest.03NT2s/build-control/ || __c=$?; exit $__c; );
else
__x=$?;
if ( __c=0; mv /tmp/autopkgtest.03NT2s/const_build_path /tmp/autopkgtest.03NT2s/build-control/ || __c=$?; exit $__c; ); then exit $__x; else
echo >&2; "cleanup failed with exit code $?"; exit $__x;
fi;
fi
sudo: unable to resolve host jadzia
dpkg-buildpackage: error: fakeroot not found, either install the fakeroot
package, specify a command with the -r option, or run this as root
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 720, in run
return 0 if check_func(*check_args) else 1
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 332, in check
local_dists = [proc.send(nv) for nv in zip(bnames, build_variations)]
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 332, in <listcomp>
local_dists = [proc.send(nv) for nv in zip(bnames, build_variations)]
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 298, in corun_builds
bctx.run_build(testbed, build, artifact_pattern, testbed_build_pre)
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 186, in run_build
kind='build')
File "/usr/lib/python3/dist-packages/reprotest/__init__.py", line 61, in check_exec2
adtlog.AutopkgtestError)
File "/usr/lib/python3/dist-packages/reprotest/lib/adt_testbed.py", line 370, in bomb
raise _type(m)
reprotest.lib.adtlog.AutopkgtestError: "sh -ec if ( mv /tmp/autopkgtest.03NT2s/build-control/ /tmp/autopkgtest.03NT2s/const_build_path && umask 0022 && export REPROTEST_BUILD_PATH=/tmp/autopkgtest.03NT2s/const_build_path/ && export REPROTEST_UMASK=$(umask) && linux64 --uname-2.6 sh -ec 'cd "$REPROTEST_BUILD_PATH"; unset REPROTEST_BUILD_PATH; umask "$REPROTEST_UMASK"; unset REPROTEST_UMASK;
if [ "$(id -u)" = 0 ]; then
sudo -E -u "$LOGNAME" sh -ec '"'"'dpkg-buildpackage --no-sign -b'"'"';
else
sh -ec '"'"'dpkg-buildpackage --no-sign -b'"'"';
fi
' ); then
( __c=0; mv /tmp/autopkgtest.03NT2s/const_build_path /tmp/autopkgtest.03NT2s/build-control/ || __c=$?; exit $__c; );
else
__x=$?;
if ( __c=0; mv /tmp/autopkgtest.03NT2s/const_build_path /tmp/autopkgtest.03NT2s/build-control/ || __c=$?; exit $__c; ); then exit $__x; else
echo >&2; "cleanup failed with exit code $?"; exit $__x;
fi;
fi
" failed with status 2
#v-
This seems to be related to the "sudo" use in the output above (or
the funny output in the first line?), or
* Improve the dsc+schroot preset to run builds as non-root.
in the changelog, or 62416ab in git.
After that, my python knowledge and domain knowledge ends; but
unfortunately this means that reprotest 0.7.2 is unusable for me.
I'm happy to provide any further information or do any tests.
Cheers,
gregor
- -- System Information:
Debian Release: buster/sid
APT prefers unstable
APT policy: (990, 'unstable'), (500, 'unstable-debug'), (500, 'oldoldstable'), (500, 'experimental'), (500, 'testing'), (500, 'stable'), (500, 'oldstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 4.12.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_AT.utf8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: sysvinit (via /sbin/init)
Versions of packages reprotest depends on:
ii apt-utils 1.5
ii diffoscope 87
ii libdpkg-perl 1.18.24
ii procps 2:3.3.12-3
ii python3 3.5.3-3
ii python3-debian 0.1.31
ii python3-pkg-resources 36.2.7-2
Versions of packages reprotest recommends:
ii diffoscope 87
ii diffutils 1:3.6-1
ii disorderfs 0.5.2-1
ii faketime 0.9.6-7+b1
pn locales-all <none>
ii sudo 1.8.21p2-2
Versions of packages reprotest suggests:
ii autodep8 0.10
ii qemu-system 1:2.10.0+dfsg-1
ii qemu-utils 1:2.10.0+dfsg-1
ii schroot 1.6.10-4
- -- no debconf information
-----BEGIN PGP SIGNATURE-----
iQKTBAEBCgB9FiEE0eExbpOnYKgQTYX6uzpoAYZJqgYFAlnWqc5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEQx
RTEzMTZFOTNBNzYwQTgxMDREODVGQUJCM0E2ODAxODY0OUFBMDYACgkQuzpoAYZJ
qgb0fA//Ri01jeVkPetlBg4U+XEhbCGPXF3em0pT4M7KQFnMdvnrARTvXmvmVfRV
3CUXFpZQc7SoBYGtcMa89HaDOQMZooQGqWI6DnGF/+Srp5k5lscxdmR6xfqUZVYw
dCOWF9TDAIyD0QGQ2tGGiRUC9/YEo3Wld6mU3ikMsr5zgRK9A1vpW1IR3TTlzGnV
w7HtLzQG1FHFxYyE8KwLV/Spb8Z8SIy++9/x2xT/EvjL7tiBf3IPkrrOMIodN47I
0NN84fo4na4+XjmRakYpCQSj5P36oqbsUAALIL0y1fmuOL2UG1M9aUZlbhuXL4YM
5y+JwtaHMMqNyR6V2Y8Fc2vWH8aeDKQrwtWKczI89MFd7cXEl0NKRM+qck0+N6Em
5bfv5JM+PV0MtatE0FiVGnurydTH9iR+cPhzT8ewio/EyxYXtKUkizsR1PbmGMxn
zQDa4cAqI0kw1aIx3twjWW0DyFk069OUxGxRyaTg4RxcSPt6DuuIRvYpX3PGVpeu
kxkNQUp5deOTBfUvTSBCxesn+Ju7NL5g0W+WIu6Yv/GB6Hx1Rp9XNT81Lw4Aluf5
q4OGwvPAg9DshEmRc4q83wxCd4rGqo5hVL9A9RTUanc2sX/cUdgCk8Cu1grd58MT
T/u3bQ/v9aYIl+Y0YP7URnFFVCUyVTFk6eW5AnQQF9vjRmb9h/s=
=bnw1
-----END PGP SIGNATURE-----
More information about the Reproducible-builds
mailing list